Show / Hide Table of Contents

# Struct HotBarSlot

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct HotBarSlot

### Fields

| Improve this Doc View Source

#### CommandId

##### Declaration

    public uint CommandId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CommandType

##### Declaration

    public HotbarSlotType CommandType

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### Icon

##### Declaration

    public int Icon

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### IconA

##### Declaration

    public uint IconA

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IconB

##### Declaration

    public uint IconB

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### IconTypeA

##### Declaration

    public HotbarSlotType IconTypeA

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### IconTypeB

##### Declaration

    public HotbarSlotType IconTypeB

##### Field Value

Type | Description
--- | ---
HotbarSlotType |

| Improve this Doc View Source

#### IsEmpty

##### Declaration

    public byte IsEmpty

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### PopUpHelp

##### Declaration

    public Utf8String PopUpHelp

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### Size

##### Declaration

    public const int Size = 224

##### Field Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Set(HotbarSlotType, UInt32)

##### Declaration

    public void Set(HotbarSlotType type, uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
HotbarSlotType | type |
System.UInt32 | id |

| Improve this Doc View Source

#### Set(UIModule*, HotbarSlotType, UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 4C 39 6F 08")]
    public void Set(UIModule*uiModule, HotbarSlotType type, uint id)

##### Parameters

Type | Name | Description
--- | --- | ---
UIModule* | uiModule |
HotbarSlotType | type |
System.UInt32 | id |